MutableFloat (Lang 2.6)
Date: 2018-05-07

org.apache.commons.lang.mutable

## Class MutableFloat

- java.lang.Object
- - java.lang.Number
  - - org.apache.commons.lang.mutable.MutableFloat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable, Mutable

      public class MutableFloat
      extends java.lang.Number
      implements java.lang.Comparable, Mutable

  A mutable `float` wrapper.
  Since:
    2.1
  Version:
    $Id: MutableFloat.java 905707 2010-02-02 16:59:59Z niallp $
  See Also:
    `Float`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableFloat()` Constructs a new MutableFloat with the default value of zero.
    `MutableFloat(float value)` Constructs a new MutableFloat with the specified value.
    `MutableFloat(java.lang.Number value)` Constructs a new MutableFloat with the specified value.
    `MutableFloat(java.lang.String value)` Constructs a new MutableFloat parsing the given string.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(float operand)` Adds a value to the value of this instance.
    `void` | `add(java.lang.Number operand)` Adds a value to the value of this instance.
    `int` | `compareTo(java.lang.Object obj)` Compares this mutable to another in ascending order.
    `void` | `decrement()` Decrements the value.
    `double` | `doubleValue()` Returns the value of this MutableFloat as a double.
    `boolean` | `equals(java.lang.Object obj)` Compares this object against some other object.
    `float` | `floatValue()` Returns the value of this MutableFloat as a float.
    `java.lang.Object` | `getValue()` Gets the value as a Float instance.
    `int` | `hashCode()` Returns a suitable hash code for this mutable.
    `void` | `increment()` Increments the value.
    `int` | `intValue()` Returns the value of this MutableFloat as an int.
    `boolean` | `isInfinite()` Checks whether the float value is infinite.
    `boolean` | `isNaN()` Checks whether the float value is the special NaN value.
    `long` | `longValue()` Returns the value of this MutableFloat as a long.
    `void` | `setValue(float value)` Sets the value.
    `void` | `setValue(java.lang.Object value)` Sets the value from any Number instance.
    `void` | `subtract(float operand)` Subtracts a value from the value of this instance.
    `void` | `subtract(java.lang.Number operand)` Subtracts a value from the value of this instance.
    `java.lang.Float` | `toFloat()` Gets this mutable as an instance of Float.
    `java.lang.String` | `toString()` Returns the String value of this mutable.

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableFloat

          public MutableFloat()

      Constructs a new MutableFloat with the default value of zero.

    - #### MutableFloat

          public MutableFloat(float value)

      Constructs a new MutableFloat with the specified value.
      Parameters:
        `value` - the initial value to store

    - #### MutableFloat

          public MutableFloat(java.lang.Number value)

      Constructs a new MutableFloat with the specified value.
      Parameters:
        `value` - the initial value to store, not null
      Throws:
        `java.lang.NullPointerException` - if the object is null

    - #### MutableFloat

          public MutableFloat(java.lang.String value)
                       throws java.lang.NumberFormatException

      Constructs a new MutableFloat parsing the given string.
      Parameters:
        `value` - the string to parse, not null
      Throws:
        `java.lang.NumberFormatException` - if the string cannot be parsed into a float
      Since:
        2.5

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()

      Gets the value as a Float instance.
      Specified by:
        `getValue` in interface `Mutable`
      Returns:
        the value as a Float, never null

    - #### setValue

          public void setValue(float value)

      Sets the value.
      Parameters:
        `value` - the value to set

    - #### setValue

          public void setValue(java.lang.Object value)

      Sets the value from any Number instance.
      Specified by:
        `setValue` in interface `Mutable`
      Parameters:
        `value` - the value to set, not null
      Throws:
        `java.lang.NullPointerException` - if the object is null
        `java.lang.ClassCastException` - if the type is not a `Number`

    - #### isNaN

          public boolean isNaN()

      Checks whether the float value is the special NaN value.
      Returns:
        true if NaN

    - #### isInfinite

          public boolean isInfinite()

      Checks whether the float value is infinite.
      Returns:
        true if infinite

    - #### increment

          public void increment()

      Increments the value.
      Since:
        Commons Lang 2.2

    - #### decrement

          public void decrement()

      Decrements the value.
      Since:
        Commons Lang 2.2

    - #### add

          public void add(float operand)

      Adds a value to the value of this instance.
      Parameters:
        `operand` - the value to add, not null
      Since:
        Commons Lang 2.2

    - #### add

          public void add(java.lang.Number operand)

      Adds a value to the value of this instance.
      Parameters:
        `operand` - the value to add, not null
      Throws:
        `java.lang.NullPointerException` - if the object is null
      Since:
        Commons Lang 2.2

    - #### subtract

          public void subtract(float operand)

      Subtracts a value from the value of this instance.
      Parameters:
        `operand` - the value to subtract
      Since:
        Commons Lang 2.2

    - #### subtract

          public void subtract(java.lang.Number operand)

      Subtracts a value from the value of this instance.
      Parameters:
        `operand` - the value to subtract, not null
      Throws:
        `java.lang.NullPointerException` - if the object is null
      Since:
        Commons Lang 2.2

    - #### intValue

          public int intValue()

      Returns the value of this MutableFloat as an int.
      Specified by:
        `intValue` in class `java.lang.Number`
      Returns:
        the numeric value represented by this object after conversion to type int.

    - #### longValue

          public long longValue()

      Returns the value of this MutableFloat as a long.
      Specified by:
        `longValue` in class `java.lang.Number`
      Returns:
        the numeric value represented by this object after conversion to type long.

    - #### floatValue

          public float floatValue()

      Returns the value of this MutableFloat as a float.
      Specified by:
        `floatValue` in class `java.lang.Number`
      Returns:
        the numeric value represented by this object after conversion to type float.

    - #### doubleValue

          public double doubleValue()

      Returns the value of this MutableFloat as a double.
      Specified by:
        `doubleValue` in class `java.lang.Number`
      Returns:
        the numeric value represented by this object after conversion to type double.

    - #### toFloat

          public java.lang.Float toFloat()

      Gets this mutable as an instance of Float.
      Returns:
        a Float instance containing the value from this mutable, never null

    - #### equals

          public boolean equals(java.lang.Object obj)

      Compares this object against some other object. The result is `true` if and only if the argument is not `null` and is a `Float` object that represents a `float` that has the identical bit pattern to the bit pattern of the `float` represented by this object. For this purpose, two float values are considered to be the same if and only if the method `Float.floatToIntBits(float)`returns the same int value when applied to each.

      Note that in most cases, for two instances of class `Float`,`f1` and `f2`, the value of `f1.equals(f2)` is `true` if and only if

      >        f1.floatValue() == f2.floatValue()

      also has the value `true`. However, there are two exceptions:

      - If `f1` and `f2` both represent `Float.NaN`, then the `equals` method returns `true`, even though `Float.NaN==Float.NaN` has the value `false`.
      - If `f1` represents `+0.0f` while `f2` represents `-0.0f`, or vice versa, the `equal` test has the value `false`, even though `0.0f==-0.0f` has the value `true`.
      This definition allows hashtables to operate properly.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the object to compare with, null returns false
      Returns:
        `true` if the objects are the same; `false` otherwise.
      See Also:
        `Float.floatToIntBits(float)`

    - #### hashCode

          public int hashCode()

      Returns a suitable hash code for this mutable.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        a suitable hash code

    - #### compareTo

          public int compareTo(java.lang.Object obj)

      Compares this mutable to another in ascending order.
      Specified by:
        `compareTo` in interface `java.lang.Comparable`
      Parameters:
        `obj` - the other mutable to compare to, not null
      Returns:
        negative if this is less, zero if equal, positive if greater

    - #### toString

          public java.lang.String toString()

      Returns the String value of this mutable.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the mutable value as a string

Copyright © 2001-2018 - Apache Software Foundation